# -*- coding: utf-8 -*-
# Copyright (C) 2018-2024 Intel Corporation
# SPDX-License-Identifier: Apache-2.0

from openvino.runtime.opset1.ops import absolute
from openvino.runtime.opset1.ops import absolute as abs
from openvino.runtime.opset1.ops import acos
from openvino.runtime.opset4.ops import acosh
from openvino.runtime.opset8.ops import adaptive_avg_pool
from openvino.runtime.opset8.ops import adaptive_max_pool
from openvino.runtime.opset1.ops import add
from openvino.runtime.opset1.ops import asin
from openvino.runtime.opset4.ops import asinh
from openvino.runtime.opset6.ops import assign
from openvino.runtime.opset1.ops import atan
from openvino.runtime.opset4.ops import atanh
from openvino.runtime.opset14.ops import avg_pool
from openvino.runtime.opset5.ops import batch_norm_inference
from openvino.runtime.opset2.ops import batch_to_space
from openvino.runtime.opset1.ops import binary_convolution
from openvino.runtime.opset13.ops import bitwise_and
from openvino.runtime.opset13.ops import bitwise_not
from openvino.runtime.opset13.ops import bitwise_or
from openvino.runtime.opset13.ops import bitwise_xor
from openvino.runtime.opset3.ops import broadcast
from openvino.runtime.opset3.ops import bucketize
from openvino.runtime.opset1.ops import ceiling
from openvino.runtime.opset1.ops import ceiling as ceil
from openvino.runtime.opset1.ops import clamp
from openvino.runtime.opset1.ops import concat
from openvino.runtime.opset13.ops import constant
from openvino.runtime.opset1.ops import convert
from openvino.runtime.opset1.ops import convert_like
from openvino.runtime.opset14.ops import convert_promote_types
from openvino.runtime.opset1.ops import convolution
from openvino.runtime.opset1.ops import convolution_backprop_data
from openvino.runtime.opset1.ops import cos
from openvino.runtime.opset1.ops import cosh
from openvino.runtime.opset1.ops import ctc_greedy_decoder
from openvino.runtime.opset6.ops import ctc_greedy_decoder_seq_len
from openvino.runtime.opset4.ops import ctc_loss
from openvino.runtime.opset3.ops import cum_sum
from openvino.runtime.opset3.ops import cum_sum as cumsum
from openvino.runtime.opset8.ops import deformable_convolution
from openvino.runtime.opset1.ops import deformable_psroi_pooling
from openvino.runtime.opset1.ops import depth_to_space
from openvino.runtime.opset8.ops import detection_output
from openvino.runtime.opset7.ops import dft
from openvino.runtime.opset1.ops import divide
from openvino.runtime.opset7.ops import einsum
from openvino.runtime.opset1.ops import elu
from openvino.runtime.opset3.ops import embedding_bag_offsets_sum
from openvino.runtime.opset3.ops import embedding_bag_packed_sum
from openvino.runtime.opset3.ops import embedding_segments_sum
from openvino.runtime.opset3.ops import extract_image_patches
from openvino.runtime.opset1.ops import equal
from openvino.runtime.opset1.ops import erf
from openvino.runtime.opset1.ops import exp
from openvino.runtime.opset9.ops import eye
from openvino.runtime.opset13.ops import fake_convert
from openvino.runtime.opset13.ops import fake_quantize
from openvino.runtime.opset1.ops import floor
from openvino.runtime.opset1.ops import floor_mod
from openvino.runtime.opset8.ops import gather
from openvino.runtime.opset6.ops import gather_elements
from openvino.runtime.opset8.ops import gather_nd
from openvino.runtime.opset1.ops import gather_tree
from openvino.runtime.opset7.ops import gelu
from openvino.runtime.opset9.ops import generate_proposals
from openvino.runtime.opset1.ops import greater
from openvino.runtime.opset1.ops import greater_equal
from openvino.runtime.opset9.ops import grid_sample
from openvino.runtime.opset1.ops import grn
from openvino.runtime.opset1.ops import group_convolution
from openvino.runtime.opset1.ops import group_convolution_backprop_data
from openvino.runtime.opset12.ops import group_normalization
from openvino.runtime.opset3.ops import gru_cell
from openvino.runtime.opset5.ops import gru_sequence
from openvino.runtime.opset1.ops import hard_sigmoid
from openvino.runtime.opset5.ops import hsigmoid
from openvino.runtime.opset4.ops import hswish
from openvino.runtime.opset7.ops import idft
from openvino.runtime.opset8.ops import if_op
from openvino.runtime.opset11.ops import interpolate
from openvino.runtime.opset14.ops import inverse
from openvino.runtime.opset9.ops import irdft
from openvino.runtime.opset10.ops import is_finite
from openvino.runtime.opset10.ops import is_inf
from openvino.runtime.opset10.ops import is_nan
from openvino.runtime.opset8.ops import i420_to_bgr
from openvino.runtime.opset8.ops import i420_to_rgb
from openvino.runtime.opset1.ops import less
from openvino.runtime.opset1.ops import less_equal
from openvino.runtime.opset1.ops import log
from openvino.runtime.opset1.ops import logical_and
from openvino.runtime.opset1.ops import logical_not
from openvino.runtime.opset1.ops import logical_or
from openvino.runtime.opset1.ops import logical_xor
from openvino.runtime.opset5.ops import log_softmax
from openvino.runtime.opset5.ops import loop
from openvino.runtime.opset1.ops import lrn
from openvino.runtime.opset4.ops import lstm_cell
from openvino.runtime.opset5.ops import lstm_sequence
from openvino.runtime.opset1.ops import matmul
from openvino.runtime.opset8.ops import matrix_nms
from openvino.runtime.opset14.ops import max_pool
from openvino.runtime.opset1.ops import maximum
from openvino.runtime.opset1.ops import minimum
from openvino.runtime.opset4.ops import mish
from openvino.runtime.opset1.ops import mod
from openvino.runtime.opset9.ops import multiclass_nms
from openvino.runtime.opset13.ops import multinomial
from openvino.runtime.opset1.ops import multiply
from openvino.runtime.opset6.ops import mvn
from openvino.runtime.opset1.ops import negative
from openvino.runtime.opset13.ops import nms_rotated
from openvino.runtime.opset9.ops import non_max_suppression
from openvino.runtime.opset3.ops import non_zero
from openvino.runtime.opset1.ops import normalize_l2
from openvino.runtime.opset1.ops import not_equal
from openvino.runtime.opset8.ops import nv12_to_bgr
from openvino.runtime.opset8.ops import nv12_to_rgb
from openvino.runtime.opset1.ops import one_hot
from openvino.runtime.opset12.ops import pad
from openvino.runtime.opset1.ops import parameter
from openvino.runtime.opset1.ops import power
from openvino.runtime.opset1.ops import prelu
from openvino.runtime.opset8.ops import prior_box
from openvino.runtime.opset1.ops import prior_box_clustered
from openvino.runtime.opset1.ops import psroi_pooling
from openvino.runtime.opset4.ops import proposal
from openvino.runtime.opset4.ops import range
from openvino.runtime.opset8.ops import random_uniform
from openvino.runtime.opset9.ops import rdft
from openvino.runtime.opset6.ops import read_value
from openvino.runtime.opset4.ops import reduce_l1
from openvino.runtime.opset4.ops import reduce_l2
from openvino.runtime.opset1.ops import reduce_logical_and
from openvino.runtime.opset1.ops import reduce_logical_or
from openvino.runtime.opset1.ops import reduce_max
from openvino.runtime.opset1.ops import reduce_mean
from openvino.runtime.opset1.ops import reduce_min
from openvino.runtime.opset1.ops import reduce_prod
from openvino.runtime.opset1.ops import reduce_sum
from openvino.runtime.opset1.ops import region_yolo
from openvino.runtime.opset2.ops import reorg_yolo
from openvino.runtime.opset1.ops import relu
from openvino.runtime.opset1.ops import reshape
from openvino.runtime.opset13.ops import result
from openvino.runtime.opset1.ops import reverse_sequence
from openvino.runtime.opset3.ops import rnn_cell
from openvino.runtime.opset5.ops import rnn_sequence
from openvino.runtime.opset9.ops import roi_align
from openvino.runtime.opset2.ops import roi_pooling
from openvino.runtime.opset7.ops import roll
from openvino.runtime.opset5.ops import round
from openvino.runtime.opset13.ops import scaled_dot_product_attention
from openvino.runtime.opset12.ops import scatter_elements_update
from openvino.runtime.opset4.ops import scatter_nd_update
from openvino.runtime.opset3.ops import scatter_update
from openvino.runtime.opset1.ops import select
from openvino.runtime.opset1.ops import selu
from openvino.runtime.opset3.ops import shape_of
from openvino.runtime.opset3.ops import shuffle_channels
from openvino.runtime.opset1.ops import sigmoid
from openvino.runtime.opset1.ops import sign
from openvino.runtime.opset1.ops import sin
from openvino.runtime.opset1.ops import sinh
from openvino.runtime.opset8.ops import slice
from openvino.runtime.opset8.ops import softmax
from openvino.runtime.opset4.ops import softplus
from openvino.runtime.opset9.ops import softsign
from openvino.runtime.opset2.ops import space_to_batch
from openvino.runtime.opset1.ops import space_to_depth
from openvino.runtime.opset1.ops import split
from openvino.runtime.opset1.ops import sqrt
from openvino.runtime.opset1.ops import squared_difference
from openvino.runtime.opset1.ops import squeeze
from openvino.runtime.opset1.ops import strided_slice
from openvino.runtime.opset1.ops import subtract
from openvino.runtime.opset4.ops import swish
from openvino.runtime.opset1.ops import tan
from openvino.runtime.opset1.ops import tanh
from openvino.runtime.opset1.ops import tensor_iterator
from openvino.runtime.opset1.ops import tile
from openvino.runtime.opset11.ops import topk
from openvino.runtime.opset1.ops import transpose
from openvino.runtime.opset10.ops import unique
from openvino.runtime.opset1.ops import unsqueeze
from openvino.runtime.opset1.ops import variadic_split
